<CsoundSynthesizer>
<CsInstruments>

/***************************************************

	An example of new objects:

		meter x/y control
		pict button
		"dynamic" static text
		presets

***************************************************/

nchnls = 2
instr 1

	istartpitch linrand 1000

	kpitch invalue "pitch"
	kpitch port kpitch, .02
	kpan invalue "pan"
	kpan port kpan, .02

	if (kpitch > .6) then
		outvalue "text", "high"
	elseif (kpitch > .3) then
		outvalue "text", "medium"
	else
		Sname = "low"	; you can also use string variables
		outvalue "text", Sname
	endif

	asig oscili 5000, istartpitch * kpitch*25, 1
	outs (1-kpan)*asig, asig*kpan

endin
</CsInstruments>
<CsScore>
f1 0 512 10 1

f0 9999 ;prevent turning off
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: None
Listing: Window
WindowBounds: 280 44 780 460
CurrentView: io
IOViewEdit: On
Options: -b512 -A -s -m167 -R 
</MacOptions>
<MacGUI>
ioView background {19868, 19868, 19868}
ioText {174, 234} {126, 28} label 0.054054 0.001000 "text" center "Monaco" 12 {0, 0, 0} {65535, 65535, 65535} nobackground border high
ioButton {168, 53} {140, 89} pictevent 1.000000 "" "Button" "/Users/matt/Documents/Csound/Examples/pb.pict" i1 0 20
ioMeter {168, 143} {138, 86} {6435, 65535, 5208} "pan" 0.603175 "pitch" 0.054054 point 5 817 mouse
</MacGUI>
<MacPresets>
LastPreset: Low-Left
"High" "_Preset" 0.000000 "pitch" 0.773333 "meterX" 0.294574 "meterY" 0.586667 "pan" 0.581395 
"Low-Left" "_Preset" 0.000000 "pitch" 0.093333 "meterX" 0.294574 "meterY" 0.586667 "pan" 0.077519 "text" 0.000000 
"Medium-Right" "_Preset" 0.000000 "pitch" 0.386667 "meterX" 0.294574 "meterY" 0.586667 "pan" 0.945736 "text" 0.000000 
</MacPresets>
