<CsoundSynthesizer>
<CsInstruments>
; 5.1 conversion to stripped 16-bit mono files
;
; ma++ 02.14.02
;

nchnls = 6

instr 1

ain1, ain2, ain3, ain4, ain5, ain6 inh

fout "-i.L", 4, ain1
fout "-i.R", 4, ain2
fout "-i.C", 4, ain3
fout "-i.LF", 4, ain4
fout "-i.LS", 4, ain5
fout "-i.RS", 4, ain6

endin



; this instrument handles terminating the score
; add this to all effects that do not change
; the length of the file.
instr 9

     ilen filelen "-i" ; get the length of the file in seconds

     ktime init 0
     ktime times

     if (ktime < ilen) kgoto skip
          event "e", 0, 0   ; terminate now!

skip:
     ; outvalue 111, times ; send out the time for a progress-bar

endin
</CsInstruments>
<CsScore>
i1 0 9999999 ; maximum length
i9 0 9999999 ; maximum length

</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: File
Ask: No
Functions: Window
WindowBounds: 230 107 908 591
Options: -b128 -A -onotused -s -m7 -K -R -n 
</MacOptions>
<MacGUI>
ioView nobackground {65535, 65535, 65535}
ioListing {10, 10} {400, 500}
</MacGUI>
