<CsoundSynthesizer>
<CsInstruments>
/* firsttest.csd 	- ma++

 plays a few plucks
 and displays the rms output in 
 a meter object
 slider controls the sensitivity
 of the meter

*/
 
sr = 44100
ksmps = 10
nchnls = 2

instr stereo_pluck
	icps = p4
	ipan = p5
	kcps = icps
	aout1 pluck .5*0dbfs*sqrt(1-ipan), kcps, icps, 0, 1
	aout2 pluck .5*0dbfs*sqrt(ipan), kcps, icps, 0, 1

	outs aout1, aout2
endin


instr rms_meter
	aout1, aout2	monitor
	krms1 rms aout1
	krms2 rms aout2
	ksensitivity invalue "sensitivity"
	outvalue "meter1", ksensitivity * krms1/0dbfs
	outvalue "meter2", ksensitivity * krms2/0dbfs
endin




</CsInstruments>
<CsScore>

  ; simpletest.sco
; just draw a bunch of gens and pluck for ten seconds


f1 0 1024 9 .25 1 45
f2 0 1024 10 1 1 1 1 1 1
f3  0  16  -2  0  12  .34  5  6.7  8  .910  11 1 2 3 4 5 6 7 8
f4 0 64 7 -1 64 1
f5 0 1025 3 -1 1 5 4 3 2 2 1
f6 0 1024 21 3     
f7    0    65    6   0   16   .5    16   1   16   0   16   -1
f8 0 64 10 -1 2
f11	0	0	-1	"wine.aif" 0 0 0

i "stereo_pluck" 0 10 100 .5
i "stereo_pluck" 2 8 200 0
i "stereo_pluck" 3 7 1000 1
i "stereo_pluck" 5 5 50 .8

i "rms_meter" 0 10
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: None
Listing: ioObject
WindowBounds: 17 44 782 734
CurrentView: io
IOViewEdit: Off
Options: -b512 -A -o/Users/matt/Desktop/firsttest.aif -3 -m167 -K -R 
</MacOptions>
<MacGUI>
ioView background {60138, 65535, 47031}
ioText {22, 26} {267, 77} label 0.000000 0.001000 "" left "Lucida Grande" 14 {0, 0, 0} {25186, 11051, 0} nobackground border rms meter
ioMeter {105, 44} {157, 21} {44563, 53738, 65535} "meter2" 0.351938 "meter2" 0.351938 fill 1 0 notrack
ioSlider {99, 64} {188, 34} 0.010000 20.000000 4.209899 sensitivity
ioListing {299, 21} {421, 567}
ioMeter {105, 29} {157, 21} {44563, 53738, 65535} "meter1" 0.207003 "meter1" 0.207003 fill 1 0 notrack
ioText {259, 24} {24, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder L
ioText {258, 41} {24, 24} label 0.000000 0.001000 "" center "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder R
ioText {36, 68} {65, 28} label 0.000000 0.001000 "" right "Lucida Grande" 10 {0, 0, 0} {65535, 65535, 65535} nobackground noborder Sensitivity
</MacGUI>
